%define module_version 0.13
%define module_name Coro-PatchSet
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Coro.pm) perl(Coro/Handle.pm) perl(Coro/LWP.pm) perl(Coro/Select.pm) perl(Coro/Socket.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(IO/Select.pm) perl(IO/Socket.pm) perl(IO/Socket/SSL.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: fix Coro as much as possible
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OL/OLEG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This distribution contains set of submodules each of which patches some known bugs from submodule with the same name
from Coro distribution. Read documentation for each submodule to know which bugs it will fix for you.
Use this module as first example in the the SYNOPSIS entry elsewhere in this document section and it will load all patches. Or you can specify which
patches you want to load, like in the second and third examples. Or you can directly use one of submodule.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Sat Mar 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Mon Oct 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

